Index: uspace/lib/c/generic/inet.c
===================================================================
--- uspace/lib/c/generic/inet.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/lib/c/generic/inet.c	(revision 34e1206ec4dc79f0592077e3ee270fba91d1eb9d)
@@ -45,20 +45,20 @@
 {
 	async_exch_t *exch = async_exchange_begin(inet_sess);
-	
+
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, INET_CALLBACK_CREATE, &answer);
-	
+
 	port_id_t port;
 	errno_t rc = async_create_callback_port(exch, INTERFACE_INET_CB, 0, 0,
 	    inet_cb_conn, NULL, &port);
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	if (rc != EOK)
 		return rc;
-	
+
 	errno_t retval;
 	async_wait_for(req, &retval);
-	
+
 	return retval;
 }
@@ -69,5 +69,5 @@
 	errno_t rc = async_req_1_0(exch, INET_SET_PROTO, protocol);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -81,15 +81,15 @@
 	assert(inet_ev_ops == NULL);
 	assert(inet_protocol == 0);
-	
+
 	rc = loc_service_get_id(SERVICE_NAME_INET, &inet_svc,
 	    IPC_FLAG_BLOCKING);
 	if (rc != EOK)
 		return ENOENT;
-	
+
 	inet_sess = loc_service_connect(inet_svc, INTERFACE_INET,
 	    IPC_FLAG_BLOCKING);
 	if (inet_sess == NULL)
 		return ENOENT;
-	
+
 	if (inet_set_proto(protocol) != EOK) {
 		async_hangup(inet_sess);
@@ -97,5 +97,5 @@
 		return EIO;
 	}
-	
+
 	if (inet_callback_create() != EOK) {
 		async_hangup(inet_sess);
@@ -103,5 +103,5 @@
 		return EIO;
 	}
-	
+
 	inet_protocol = protocol;
 	inet_ev_ops = ev_ops;
@@ -113,9 +113,9 @@
 {
 	async_exch_t *exch = async_exchange_begin(inet_sess);
-	
+
 	ipc_call_t answer;
 	aid_t req = async_send_4(exch, INET_SEND, dgram->iplink, dgram->tos,
 	    ttl, df, &answer);
-	
+
 	errno_t rc = async_data_write_start(exch, &dgram->src, sizeof(inet_addr_t));
 	if (rc != EOK) {
@@ -124,5 +124,5 @@
 		return rc;
 	}
-	
+
 	rc = async_data_write_start(exch, &dgram->dest, sizeof(inet_addr_t));
 	if (rc != EOK) {
@@ -131,17 +131,17 @@
 		return rc;
 	}
-	
+
 	rc = async_data_write_start(exch, dgram->data, dgram->size);
-	
-	async_exchange_end(exch);
-	
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-	
+
+	async_exchange_end(exch);
+
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+
 	errno_t retval;
 	async_wait_for(req, &retval);
-	
+
 	return retval;
 }
@@ -150,8 +150,8 @@
 {
 	async_exch_t *exch = async_exchange_begin(inet_sess);
-	
+
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, INET_GET_SRCADDR, tos, &answer);
-	
+
 	errno_t rc = async_data_write_start(exch, remote, sizeof(inet_addr_t));
 	if (rc != EOK) {
@@ -160,17 +160,17 @@
 		return rc;
 	}
-	
+
 	rc = async_data_read_start(exch, local, sizeof(inet_addr_t));
-	
-	async_exchange_end(exch);
-	
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-	
+
+	async_exchange_end(exch);
+
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+
 	errno_t retval;
 	async_wait_for(req, &retval);
-	
+
 	return retval;
 }
@@ -179,8 +179,8 @@
 {
 	inet_dgram_t dgram;
-	
+
 	dgram.tos = IPC_GET_ARG1(*icall);
 	dgram.iplink = IPC_GET_ARG2(*icall);
-	
+
 	ipc_callid_t callid;
 	size_t size;
@@ -190,5 +190,5 @@
 		return;
 	}
-	
+
 	if (size != sizeof(inet_addr_t)) {
 		async_answer_0(callid, EINVAL);
@@ -196,5 +196,5 @@
 		return;
 	}
-	
+
 	errno_t rc = async_data_write_finalize(callid, &dgram.src, size);
 	if (rc != EOK) {
@@ -203,5 +203,5 @@
 		return;
 	}
-	
+
 	if (!async_data_write_receive(&callid, &size)) {
 		async_answer_0(callid, EINVAL);
@@ -209,5 +209,5 @@
 		return;
 	}
-	
+
 	if (size != sizeof(inet_addr_t)) {
 		async_answer_0(callid, EINVAL);
@@ -215,5 +215,5 @@
 		return;
 	}
-	
+
 	rc = async_data_write_finalize(callid, &dgram.dest, size);
 	if (rc != EOK) {
@@ -222,5 +222,5 @@
 		return;
 	}
-	
+
 	rc = async_data_write_accept(&dgram.data, false, 0, 0, 0, &dgram.size);
 	if (rc != EOK) {
@@ -228,5 +228,5 @@
 		return;
 	}
-	
+
 	rc = inet_ev_ops->recv(&dgram);
 	free(dgram.data);
@@ -239,10 +239,10 @@
 		ipc_call_t call;
 		ipc_callid_t callid = async_get_call(&call);
-		
+
 		if (!IPC_GET_IMETHOD(call)) {
 			/* TODO: Handle hangup */
 			return;
 		}
-		
+
 		switch (IPC_GET_IMETHOD(call)) {
 		case INET_EV_RECV:
